NewWacht Bench is live — AI-assisted development for Wacht

Update Organization

POST
/organizations/{id}/update

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Path Parameters

id*string

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://{deployment_host}/organizations/string/update"
{
  "status": 0,
  "message": "string",
  "data": {
    "name": "string",
    "image_url": "string",
    "description": "string",
    "member_count": 0,
    "whitelisted_ips": [
      "string"
    ],
    "auto_assigned_workspace_id": 0,
    "enforce_mfa": true,
    "enable_ip_restriction": true,
    "public_metadata": {},
    "segments": [
      {
        "id": "string",
        "created_at": "string",
        "updated_at": "string",
        "deployment_id": "string",
        "name": "string",
        "type": "user"
      }
    ]
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}